Presentation admin API Resource

HDC Hierarchy returned in JSON data type Web Service.

POST /admin/presentation

Add presentation.

Example of request:

{"presentationName":"Test","presentationDescription":"Test Presentation","layerId":"2","typeId":1,"showSum":false,"countColumn":true,"spotAreaColumn":false,"summaryColumn":true,"summaryColumnLabel":"Custom label","summaryColumnSuffix":"Summary sufix"}

Try it out!

Request Body
media type data type description
application/json HdcPresentationModelTO (JSON) The specification of presentation that has to be added.
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON) JSON Response with information, whether the adding has or has not been succeeded.

GET /admin/presentation/json

Get list of presentations.

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with the list of presentations and filters.

Example of response:

{"list":[{"presentationId":"2","presentationName":"Area","presentationDescription":"Test presentation 2","isAutomatic":false},{"presentationId":"22","presentationName":"Functionality","presentationDescription":"","isAutomatic":false},]}

DELETE /admin/presentation/{presentationId}

Remove presentation

Try it out!

Request Parameters
name type description default constraints
presentationId path ID of presentation   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

PUT /admin/presentation/{presentationId}

Update presentation.

Example of request:

{"presentationName":"Test updated","presentationDescription":"Test Presentation updated","layerId":"2","typeId":1,"showSum":false,"countColumn":true,"spotAreaColumn":true,"summaryColumn":false}

Try it out!

Request Parameters
name type description default constraints
presentationId path ID of presentation   long
Request Body
media type data type description
application/json HdcPresentationModelTO (JSON) The specification of presentation that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the updating has or has not been succeeded.

DELETE /admin/presentation/filter/{filterId}

Remove filter

Try it out!

Request Parameters
name type description default constraints
filterId path ID of filter   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

POST /admin/presentation/filter/{presentationId}

Add presentation filter.

Example of request:

{"label":"Test filter","targetClass":"108","summaryField":"fi2space_areanta","toolset":{"id":730},"hql":"fi2space_areabra > 10","sourceClass":"128","perspectiveSetId":"928"}

Try it out!

Request Parameters
name type description default constraints
presentationId path   long
Request Body
media type data type description
application/json HdcFilterModelTO (JSON) The specification of filter that has to be added.
Response Body
media type data type description
application/json HdcSuccessWithId (JSON) JSON Response with information, whether the adding has or has not been succeeded.

PUT /admin/presentation/filter/{presentationId}/{filterId}

Update filter.

Example of request:

{"label":"Test Filter","targetClass":"108","summaryField":"cq_window_area","toolset":{"id":"730"},"hql":"fi2space_areabra >= 10","perspectiveSetId":""}

Try it out!

Request Parameters
name type description default constraints
filterId path ID of filter   long
presentationId path ID of presentation   long
Request Body
media type data type description
application/json HdcFilterModelTO (JSON) The specification of filter that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the updating has or has not been succeeded.

GET /admin/presentation/filters/json/{presentationId}

Try it out!

Request Parameters
name type description default constraints
presentationId path   long
Response Body
media type data type description
application/json object (JSON)